<?php
/**
 * LSVR Featured Event Widget Shortcode
 */
if ( ! class_exists( 'Lsvr_Shortcode_Event_Featured_Widget' ) ) {
    class Lsvr_Shortcode_Event_Featured_Widget {

        public static function shortcode( $atts = array(), $content = null, $tag ) {

            // Merge default atts and received atts
            $args = shortcode_atts(
                array(
                    'title' => '',
                    'icon' => '',
                    'post' => '',
                    'show_excerpt' => 'true',
                    'more_label' => '',
                    'id' => '',
                ),
                $atts
            );

            ob_start(); ?>

            <?php the_widget( 'Lsvr_Widget_Event_Featured', array(
                'title' => $args['title'],
                'post' => $args['post'],
                'show_excerpt' => $args['show_excerpt'],
                'more_label' => $args['more_label'],
            ), array(
                'before_widget' => '<div' . ( ! empty( $args['id'] ) ? ' id="' . esc_attr( $args['id'] ) . '"' : '' ) . ' class="widget lsvr_event-featured-widget"><div class="widget__inner">',
                'after_widget' => '</div></div>',
                'before_title' => ! empty( $args['icon'] ) ? '<h3 class="widget__title widget__title--has-icon"><i class="widget__title-icon ' . esc_attr( $args['icon'] ) . '"></i>' : '<h3 class="widget__title">',
                'after_title' => '</h3>',
            )); ?>

            <?php return ob_get_clean();

        }

        // Shortcode params
        public static function lsvr_shortcode_params() {
            return array(
                'base' => 'lsvr_event_featured_widget',
                'title' => __( 'LSVR Featured Event Widget', 'lsvr-events' ),
                'description' => __( 'Single event post', 'lsvr-events' ),
                'category' => esc_html__( 'LSVR Widgets', 'lsvr-events' ),
                'is_widget' => true,
                'fields' => array(

                    // Title
                    'title' => array(
                        'type' => 'text',
                        'label' => esc_html__( 'Title', 'lsvr-events' ),
                        'description' => esc_html__( 'Title of this section.', 'lsvr-events' ),
                    ),

                    // Post
                    'post' => array(
                        'type' => 'post',
                        'post_type' => 'lsvr_event',
                        'label' => esc_html__( 'Event', 'lsvr-events' ),
                        'description' => esc_html__( 'Choose event to display.', 'lsvr-events' ),
                    ),

                    // Display excerpt
                    'show_excerpt' => array(
                        'type' => 'checkbox',
                        'label' => esc_html__( 'Display Excerpt', 'lsvr-events' ),
                        'default' => true,
                    ),

                    // More label
                    'more_label' => array(
                        'type' => 'text',
                        'label' => esc_html__( 'More Link Label', 'lsvr-events' ),
                        'description' => esc_html__( 'Link to events archive. Leave blank to hide.', 'lsvr-events' ),
                    ),

                    // ID
                    'id' => array(
                        'type' => 'text',
                        'label' => esc_html__( 'Unique ID', 'lsvr-events' ),
                        'description' => esc_html__( 'You can use this ID to style this specific element with custom CSS, for example.', 'lsvr-events' ),
                    ),

                )
            );
        }

    }
}
?>