<?php
/**
 * Plugin Name: LSVR Framework
 * Description: Framework for LSVR themes and plugins
 * Version: 1.1.5
 * Author: LSVRthemes
 * Author URI: http://themeforest.net/user/LSVRthemes/portfolio
 * Text Domain: lsvr-framework
 * Domain Path: /languages
 * License: http://themeforest.net/licenses
 * License URI: http://themeforest.net/licenses
*/

// Include additional functions and classes
require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
require_once( 'inc/core-functions.php' );
require_once( 'inc/classes/lsvr-widget.php' );
if ( is_admin() ) {

	// Post Metaboxes
	require_once( 'inc/classes/lsvr-post-metabox.php' );
	require_once( 'inc/classes/lsvr-post-metafield.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-attachment.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-checkbox.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-date.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-datetime.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-external-attachment.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-gallery.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-opening-hours.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-radio.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-select.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-slider.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-separator.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-switch.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-taxonomy.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-taxonomy-assign.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-text.php' );
	require_once( 'inc/classes/post-metafields/lsvr-post-metafield-textarea.php' );

	// Taxonomy Metaboxes
	require_once( 'inc/classes/lsvr-tax-metabox.php' );
	require_once( 'inc/classes/lsvr-tax-metafield.php' );
	require_once( 'inc/classes/tax-metafields/lsvr-tax-metafield-select.php' );
	require_once( 'inc/classes/tax-metafields/lsvr-tax-metafield-text.php' );
	require_once( 'inc/classes/tax-metafields/lsvr-tax-metafield-textarea.php' );

	// Widget Fields
	require_once( 'inc/classes/lsvr-widget-field.php' );
	require_once( 'inc/classes/widget-fields/lsvr-widget-field-checkbox.php' );
	require_once( 'inc/classes/widget-fields/lsvr-widget-field-image.php' );
	require_once( 'inc/classes/widget-fields/lsvr-widget-field-info.php' );
	require_once( 'inc/classes/widget-fields/lsvr-widget-field-post.php' );
	require_once( 'inc/classes/widget-fields/lsvr-widget-field-select.php' );
	require_once( 'inc/classes/widget-fields/lsvr-widget-field-taxonomy.php' );
	require_once( 'inc/classes/widget-fields/lsvr-widget-field-text.php' );
	require_once( 'inc/classes/widget-fields/lsvr-widget-field-textarea.php' );

}

// Load textdomain
load_plugin_textdomain( 'lsvr-framework', false, plugin_basename( dirname( __FILE__ ) ) . '/languages/' );

// Load admin CSS & JS
add_action( 'admin_enqueue_scripts', 'lsvr_framework_load_assets' );
if ( ! function_exists( 'lsvr_framework_load_assets' ) ) {
	function lsvr_framework_load_assets() {

		global $pagenow, $typenow;

		// Get plugin version
		$plugin_data = get_plugin_data( __FILE__ );
		$plugin_version = ! empty( $plugin_data['Version'] ) ? $plugin_data['Version'] : false;

		// Load resources for post metaboxes
		if ( 'post.php' === $pagenow || 'post-new.php' === $pagenow ) {

			wp_enqueue_media();
			wp_enqueue_script( 'jquery-ui-datepicker' );
			wp_enqueue_script( 'jquery-ui-slider' );
			wp_enqueue_script( 'jquery-ui-sortable' );
			wp_enqueue_style( 'lsvr-framework-metaboxes-styles', plugin_dir_url( __FILE__ ) . 'assets/css/lsvr-framework-metaboxes.admin.css', false, $plugin_version );
			wp_enqueue_script( 'lsvr-framework-metaboxes-scripts', plugin_dir_url( __FILE__ ) . 'assets/js/lsvr-framework-metaboxes.admin.js', array( 'jquery' ), $plugin_version );

			// RTL version
			if ( is_rtl() ) {
				wp_enqueue_style( 'lsvr-framework-metaboxes-rtl-styles', plugin_dir_url( __FILE__ ) . 'assets/css/lsvr-framework-metaboxes.admin.rtl.css', false, $plugin_version );
			}

  		}

  		// Load resources for widgets
  		if ( 'widgets.php' === $pagenow ) {

  			wp_enqueue_media();
			wp_enqueue_script( 'media-widgets' );
			wp_enqueue_style( 'lsvr-framework-widgets-styles', plugin_dir_url( __FILE__ ) . 'assets/css/lsvr-framework-widgets.admin.css', false, $plugin_version );
			wp_enqueue_script( 'lsvr-framework-widgets-scripts', plugin_dir_url( __FILE__ ) . 'assets/js/lsvr-framework-widgets.admin.js', array( 'jquery' ), $plugin_version );

		}

	}
}

// Load Customizer CSS & JS
add_action( 'customize_controls_enqueue_scripts', 'lsvr_framework_load_customizer_assets' );
if ( ! function_exists( 'lsvr_framework_load_customizer_assets' ) ) {
	function lsvr_framework_load_customizer_assets() {

		// Get plugin version
		$plugin_data = get_plugin_data( __FILE__ );
		$plugin_version = ! empty( $plugin_data['Version'] ) ? $plugin_data['Version'] : false;

		// Enqueue files
		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_script( 'jquery-ui-slider' );
		wp_enqueue_script( 'jquery-ui-sortable' );
		wp_enqueue_style( 'lsvr-framework-customizer-styles', plugin_dir_url( __FILE__ ) . 'assets/css/lsvr-framework-customizer-controls.css', false, $plugin_version );
		wp_enqueue_script( 'lsvr-framework-customizer-scripts', plugin_dir_url( __FILE__ ) . 'assets/js/lsvr-framework-customizer-controls.js', array( 'jquery', 'customize-controls' ), $plugin_version );

		// RTL version
		if ( is_rtl() ) {
			wp_enqueue_style( 'lsvr-framework-customizer-rtl-styles', plugin_dir_url( __FILE__ ) . 'assets/css/lsvr-framework-customizer-controls.rtl.css', false, $plugin_version );
		}

	}
}

// Register custom Customizer controls
add_action( 'customize_register', 'lsvr_framework_customize_register' );
if ( ! function_exists( 'lsvr_framework_customize_register' ) ) {
  function lsvr_framework_customize_register( $wp_customize ) {
		require_once( 'inc/classes/lsvr-customizer.php' );
		require_once( 'inc/classes/customizer-controls/lsvr-customize-control-sidebars.php' );
		require_once( 'inc/classes/customizer-controls/lsvr-customize-control-info.php' );
		require_once( 'inc/classes/customizer-controls/lsvr-customize-control-multicheck.php' );
		require_once( 'inc/classes/customizer-controls/lsvr-customize-control-separator.php' );
		require_once( 'inc/classes/customizer-controls/lsvr-customize-control-slider.php' );
		require_once( 'inc/classes/customizer-controls/lsvr-customize-control-social-links.php' );
	}
}

?>